Bug 5310 - Using /tmp is evil
: Using /tmp is evil
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnupg2)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-12 13:23 by
Modified: 2005-09-01 14:13 (History)


Attachments
Use $TMPDIR instead of /tmp (1.97 KB, patch)
2004-10-12 13:25, Sir Raorn
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-12 13:23:55
Мне кажется неправильным держить сокеты в /tmp.
------- Comment #1 From 2004-10-12 13:25:51 -------
Created an attachment (id=605) [details]
Use $TMPDIR instead of /tmp

Данный патч заставляет gpg-agent и scagent использовать $TMPDIR или $TMP в
качестве временного каталога. С фаллбэком в /tmp
------- Comment #2 From 2004-10-12 14:22:32 -------
Ок! Спасибо! 
------- Comment #3 From 2004-11-02 20:10:55 -------
fixed in gnupg2-1.9.12-alt1 
------- Comment #4 From 2005-01-21 15:43:11 -------
Я убрал патч в gnupg2-1.9.15 
Они убрали оттуда sprintf 
А вообще он падал, оказывается. Правда не знаю, из-за патча или из-за sprintf 
------- Comment #5 From 2005-09-01 12:06:58 -------
Так и сокеты остались в /tmp? 
------- Comment #6 From 2005-09-01 14:13:49 -------
(In reply to comment #5) 
> Так и сокеты остались в /tmp?  
Да